Subject: bug#76120: This feature is not about "sharing", or a "native" anything.

From: Visuwesh <[email-masked]>
Date: Fri, 21 Feb 2025 08:18:37 +0530

[வியாழன் பிப்ரவரி 20, 2025] Alvaro Ramirez wrote:

> If possible, I'd prefer hiding the "Send to..." menu item if the
> feature isn't supported on the platform. Signaling errors out of the
> box may not be a great first experience.

Never mind my suggestion about unifying -supported-p and -handler.
After a night's sleep, I realise it is not really possible to separate
them.

Like you say, I don't see how I could hide the "Send to..." menu if no
devices are currently via KDE Connect (which is different from running
the daemon).
[ Although I believe nowadays that you can send links still and they
  would sent to the device all at once whenever it connects.  ]